using System;
using System.ComponentModel.DataAnnotations;
using System.Web.Mvc;
using AutomatizovanySklad.Core.Entity;

namespace Web.Models.Zamestnanec {
  public class ZamestnanecModel : LayoutModel {
    public int Id { get; set; }

    [StringLength(100)]
    [Display(Name = "Jméno*")]
    [Required]
    public string Jmeno { get; set; }

    [StringLength(100)]
    [Display(Name = "Příjmení")]
    public string Prijmeni { get; set; }

    [Display(Name = "Celé jméno")]
    public string CeleJmeno { get; set; }

    [Display(Name = "Poznámka")]
    [StringLength(200)]
    public string Poznamka { get; set; }

    [Remote("ExistujeEmailVytvoreni", "Zamestnanec", ErrorMessage = "Email je již použit")]
    [EmailAddress]
    [StringLength(100)]
    public string Email { get; set; }

    [Display(Name = "Typ Zaměstnance*")]
    [Required]
    public TypZamestnance TypZamestnance { get; set; }

    public DateTime DatumVytvoreni { get; set; }

    public int VytvorilId { get; set; }

    public DateTime? DatumUpravy { get; set; }

    public int UpravilId { get; set; }

    [Display(Name = "Info o modifikaci")]
    public string InfoOModifikaci { get; set; }
  }
}